Bug 171931 - [PATCH] net-mgmt/zabbix-server: update to 1.8.15
Summary: [PATCH] net-mgmt/zabbix-server: update to 1.8.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-24 23:50 UTC by Frank Wall
Modified: 2013-01-04 11:20 UTC (History)
0 users

See Also:


Attachments
file.diff (2.29 KB, patch)
2012-09-24 23:50 UTC, Frank Wall
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Wall 2012-09-24 23:50:09 UTC
- update to Zabbix 1.8.15
- update patch to reflect changes in zabbix source
- update CONFLICHTS to include Zabbix 2.x

Fix: apply the patch

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-09-24 23:50:18 UTC
Maintainer of net-mgmt/zabbix-server,

Please note that PR ports/171931 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/171931

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-09-24 23:50:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2013-01-04 11:13:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2013-01-04 11:14:49 UTC
State Changed
From-To: feedback->closed

Committed, thank you!
Comment 5 dfilter service freebsd_committer 2013-01-04 11:14:49 UTC
Author: rm
Date: Fri Jan  4 11:14:36 2013
New Revision: 309926
URL: http://svnweb.freebsd.org/changeset/ports/309926

Log:
  - update to 1.8.15
  - update patch to reflect changes in zabbix source
  - update CONFLICTS to include zabbix 2.x
  
  PR:		171931
  Submitted by:	Frank Wall <fw@moov.de>
  Approved by:	maintainer timeout (3 month+)

Modified:
  head/net-mgmt/zabbix-server/Makefile
  head/net-mgmt/zabbix-server/distinfo
  head/net-mgmt/zabbix-server/files/patch-src_libs_zbxsysinfo_freebsd__proc.c

Modified: head/net-mgmt/zabbix-server/Makefile
==============================================================================
--- head/net-mgmt/zabbix-server/Makefile	Fri Jan  4 10:47:28 2013	(r309925)
+++ head/net-mgmt/zabbix-server/Makefile	Fri Jan  4 11:14:36 2013	(r309926)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	zabbix-server
-# Date created:		2009-12-09
-# Whom:			Jim Riggs <ports@christianserving.org>
-#
+# Created by: Jim Riggs <ports@christianserving.org>
 # $FreeBSD$
-#
 
 PORTNAME=	zabbix
-PORTVERSION=	1.8.13
+PORTVERSION=	1.8.15
 PORTEPOCH=	2
 CATEGORIES=	net-mgmt
 MASTER_SITES=	SF/zabbix/ZABBIX%20Latest%20Stable/${PORTVERSION}
@@ -20,7 +16,7 @@ LICENSE=	GPLv2
 CONFLICTS=	${PKGBASE}-1.[0-6]*
 
 .if ${PKGNAMESUFFIX} != "-agent"
-CONFLICTS+=	${PORTNAME}-1.[0-6]*
+CONFLICTS+=	${PORTNAME}-[1-2].[0-6]*
 .endif
 
 ZABBIX_BUILD=	${PKGNAMESUFFIX:S/^-//}

Modified: head/net-mgmt/zabbix-server/distinfo
==============================================================================
--- head/net-mgmt/zabbix-server/distinfo	Fri Jan  4 10:47:28 2013	(r309925)
+++ head/net-mgmt/zabbix-server/distinfo	Fri Jan  4 11:14:36 2013	(r309926)
@@ -1,2 +1,2 @@
-SHA256 (zabbix-1.8.13.tar.gz) = ac4497cde031b793e492e874b091d109da7d5410c4ba55f54cad0749ae47e667
-SIZE (zabbix-1.8.13.tar.gz) = 4235482
+SHA256 (zabbix-1.8.15.tar.gz) = 6ee4014dec29652ceba472f8973b267047e5d0599a729e24a266b26dbad7a80c
+SIZE (zabbix-1.8.15.tar.gz) = 4241782

Modified: head/net-mgmt/zabbix-server/files/patch-src_libs_zbxsysinfo_freebsd__proc.c
==============================================================================
--- head/net-mgmt/zabbix-server/files/patch-src_libs_zbxsysinfo_freebsd__proc.c	Fri Jan  4 10:47:28 2013	(r309925)
+++ head/net-mgmt/zabbix-server/files/patch-src_libs_zbxsysinfo_freebsd__proc.c	Fri Jan  4 11:14:36 2013	(r309926)
@@ -38,30 +38,6 @@
  	mib[0] = CTL_KERN;
  	mib[1] = KERN_PROC;
  	if (NULL != usrinfo)
-@@ -164,7 +158,11 @@
- 	}
- 	else
- 	{
-+#if(__FreeBSD_version > 500000)
-+		mib[2] = KERN_PROC_PROC;
-+#else
- 		mib[2] = KERN_PROC_ALL;
-+#endif
- 		mib[3] = 0;
- 		mibs = 3;
- 	}
-@@ -184,11 +182,6 @@
- 
- 	for (i = 0; i < count; i++)
- 	{
--#if(__FreeBSD_version > 500000)
--		if (proc[i].ki_flag & P_KTHREAD)	/* skip a system thread */
--			continue;
--#endif
--
- 		proc_ok = 0;
- 		comm_ok = 0;
- 		if (*procname == '\0' || 0 == strcmp(procname, proc[i].ZBX_PROC_COMM))
 @@ -205,8 +198,7 @@
  
  		if (proc_ok && comm_ok)
@@ -72,27 +48,3 @@
  
  			if (0 == proccount++)
  				memsize = value;
-@@ -306,7 +298,11 @@
- 	}
- 	else
- 	{
-+#if(__FreeBSD_version > 500000)
-+		mib[2] = KERN_PROC_PROC;
-+#else
- 		mib[2] = KERN_PROC_ALL;
-+#endif
- 		mib[3] = 0;
- 		mibs = 3;
- 	}
-@@ -326,11 +322,6 @@
- 
- 	for (i = 0; i < count; i++)
- 	{
--#if(__FreeBSD_version > 500000)
--		if (proc[i].ki_flag & P_KTHREAD)	/* skip a system thread */
--			continue;
--#endif
--
- 		proc_ok = 0;
- 		stat_ok = 0;
- 		comm_ok = 0;
\ No newline at end of file
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"